org.eclipse.eef.core.api

## Class EEFExpressionUtils

- java.lang.Object
- - org.eclipse.eef.core.api.EEFExpressionUtils

    public final class EEFExpressionUtils
    extends java.lang.Object

Utility class containing the constants from the EEFExpression model.

### Nested Class Summary

Nested Classes
`class` `EEFExpressionUtils.EEFCheckbox` Utility class containing the constants related to the Checkbox widget.
`class` `EEFExpressionUtils.EEFHyperlink` Utility class containing the constants related to the EEFHyperlink.
`class` `EEFExpressionUtils.EEFList` Utility class containing the constants related to the list widgets.
`class` `EEFExpressionUtils.EEFReference` Utility class containing the constants related to the reference widgets.
`class` `EEFExpressionUtils.EEFSelect` Utility class containing the constants related to the Select widget.
`class` `EEFExpressionUtils.EEFText` Utility class containing the constants related to the `org.eclipse.eef.core.api.EEFText`.

### Field Summary

Fields
`static java.lang.String` `AUDIT_RESULT` The name of the variable which will hold the result of the audit.
`static java.lang.String` `INPUT` The input variable.
`static java.lang.String` `SELF` The self variable.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELF

    public static final java.lang.String SELF

The self variable.

See Also:
  Constant Field Values

#### INPUT

    public static final java.lang.String INPUT

The input variable.

See Also:
  Constant Field Values

#### AUDIT_RESULT

    public static final java.lang.String AUDIT_RESULT

The name of the variable which will hold the result of the audit.

See Also:
  Constant Field Values